Subject: [SIP] Doubt in SDP negotiation while establishing a session in SIP

From: "Manish S. Jalan" <[email-masked]>
Date: 23 Apr 2001 05:05:52 -0000

Hi,

I need some more information on sdp.
I want to use G.723 encoding for the rtp.
Hence in the media description, I may give,

m=audio 12345 RTP/AVP 4
a=rtpmap:4 G723/8000

My query is, G.723 is a dual rate encoding scheme. One at 5.3Kbps and another at 6.3 Kbps.
Now, how to tell the destination, what bit-rate I am talking of?
In the rtpmap, I read in the rfc on sdp, we can specify some encoding parameters, like the number of channels being used.
Can we specify the bit rate being used in rtpmap itself? How?
If not, then how to convey the bit-rate info?

Eagerly waiting for your help. Thanks in advance.

Regards,
-Manish S. Jalan

_____________________________________________________
Chat with your friends as soon as they come online. Get Rediff Bol at
http://bol.rediff.com

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.